commit:     6a1d5bdb5aab1784f7cf645b43935ef0e63349db
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Aug  8 14:35:12 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Aug  8 15:53:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6a1d5bdb

dev-python/kitchen: bump eapi, add tests

Closes: https://bugs.gentoo.org/800155
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/kitchen/kitchen-1.2.6.ebuild | 29 ++++++++++++++++++++++++-----
 1 file changed, 24 insertions(+), 5 deletions(-)

diff --git a/dev-python/kitchen/kitchen-1.2.6.ebuild 
b/dev-python/kitchen/kitchen-1.2.6.ebuild
index 3d2ddd9f9..b158f750e 100644
--- a/dev-python/kitchen/kitchen-1.2.6.ebuild
+++ b/dev-python/kitchen/kitchen-1.2.6.ebuild
@@ -1,17 +1,36 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python{3_7,3_8,3_9} )
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
 inherit distutils-r1
 
 DESCRIPTION="Kitchen contains a cornucopia of useful code"
 HOMEPAGE="https://github.com/fedora-infra/kitchen";
-SRC_URI="https://github.com/fedora-infra/kitchen/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI="https://github.com/fedora-infra/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
 
 LICENSE="LGPL-2.1"
-
 SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( HACKING.rst NEWS.rst README.rst )
+
+distutils_enable_tests nose
+
+# Could not import extension sphinx.ext.pngmath
+#distutils_enable_sphinx kitchen3/docs
 
-KEYWORDS="~amd64"
+python_test() {
+       local noseopts=(
+               --exclude=test_invalid_fallback_no_raise
+               --exclude=test_lgettext
+               --exclude=test_lngettext
+               --exclude=test_easy_gettext_setup_non_unicode
+               # fail with python 3.9
+               --exclude=test_internal_generate_combining_table
+               # fail with python 3.10
+               #--exclude=check__all__is_complete
+       )
+       nosetests -w kitchen3 -v "${noseopts[@]}" || die
+}

Reply via email to